---
updatedAt: 2026-07-30T22:32:10.000Z
---

# Download WFS inventory health report

Call this endpoint to download inventory health information associated with all items you have set up with Walmart Fulfillment Services (WFS). You can use this API to review sellable quantities, inbound and reserved units, and metrics across your WFS catalog.

> This page describes an example using only the required parameters and inputs to download WFS inventory health report. For a full list of customization options and additional capabilities, refer to the [Walmart WFS API Reference](/us-marketplace/reference/getinventoryhealthreport).

# Endpoint

```Text bash
GET https://marketplace.walmartapis.com/v3/report/wfs/getInventoryHealthReport
```

# Sample request

This sample request retrieves the inventory health report for all items set up with WFS.

```Text cURL
curl --request GET \
  --url 'https://marketplace.walmartapis.com/v3/report/wfs/getInventoryHealthReport' \
  --header 'WM_QOS.CORRELATION_ID: <uuid>' \
  --header 'WM_SEC.ACCESS_TOKEN: <access_token>' \
  --header 'WM_SVC.NAME: Walmart Service Name' \
  -header 'accept: application/octet-stream' \
```
```Text Python
import requests

url = "https://marketplace.walmartapis.com/v3/report/wfs/getInventoryHealthReport"

headers = {
    "WM_QOS.CORRELATION_ID": "<uuid>",
    "WM_SEC.ACCESS_TOKEN": "<access_token>",
    "WM_SVC.NAME": "Walmart Service Name",
    "Accept": "application/octet-stream",
}

response = requests.get(url, headers=headers)
print(response.status_code)
print(response.content)
```

## Modify your code

* Use a unique `WM_QOS.CORRELATION_ID` for each request.
* Replace `WM_SEC.ACCESS_TOKEN` with your valid access token obtained through authentication.

# Result

On success this API returns `200 OK` status with a CSV file in the response body.